Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.OAuthUtils (phoenix_kit v1.6.19)

View Source

Utility components for OAuth functionality.

# Summary

## Functions

callback_url_copy(assigns)

Displays a callback URL with a copy-to-clipboard button.

reverse_proxy_notice(assigns)

Displays reverse proxy notice for OAuth providers.

# Functions

# callback_url_copy(assigns)

Displays a callback URL with a copy-to-clipboard button.

## Attributes

- `url` (`:string`) (required)
- `provider_name` (`:string`) (required)
- `class` (`:string`) - Defaults to `nil`.

# reverse_proxy_notice(assigns)

Displays reverse proxy notice for OAuth providers.

## Attributes

- `class` (`:string`) - Defaults to `"text-xs text-base-content/60 mt-2"`.